#include <stdio.h>
#include <stdlib.h>

int main()
{
	int j; 
	double *a; // ポインタとして宣言する（アスタリスク（*）は1つ）
	
	// 配列aを10個確保
	a = (double*)malloc(sizeof(double)*10); 
	
	// a[j]に値を代入
	for (j = 0; j < 10; j++)	a[j] = 2.0*j; 
	
	for (j = 0; j < 10; j++)	printf("a[%d] = %f\n", j, a[j]); 
	
	// 配列aを解放
	free(a); 
	
	return 0; 
}